Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-43481

Jenkins 2.54 still downloads JDK1.7

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Component/s: ssh-slaves-plugin
    • Labels:
      None
    • Environment:
      Jenkins 2.54, running via the jenkins:2.54-alpine docker image. CentOS7 slaves with no pre-installed JDK.
    • Similar Issues:

      Description

      When Jenkins starts remote slaves via SSH, it does not detect an installed java version and proceeds to download and install JDK7, which it no longer works with. This prevents the slaves from starting and Jenkins from working.

      I have configured a Java 1.8 JDK in the global tool config, but that seems to have made no difference.

      After removing both jdk.sh and jdk from $JENKINS_HOME on the slaves, the slave still installs JDK7.

      I have rolled back to v2.53, which still works fine.

      For reference, one of the slaves has JDK1.8.0 installed via the OS and that slave connects and runs ok.

      Edit: I changed the component to ssh-slaves-plugin, as that seems to be the culprit.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                jglick Jesse Glick
                Reporter:
                cafuego Peter Lieverdink
              • Votes:
                1 Vote for this issue
                Watchers:
                8 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: